# Read about fixtures at http://ar.rubyonrails.org/classes/Fixtures.html
mean:
  id: 1
  node_id: 23
  description: the first dimensional mean
  nvars: 1
  script: |
    rank = gphys[0].rank
    loop = Array.new
    (rank-1).times do |i| loop[i] = i+1 end
    result0 = GPhys.each_along_dims(gphys[0],loop) do |sub|
      [sub.mean(0)]
    end
    [result0[0]]

stddev:
  id: 2
  node_id: 24
  description: the first dimensional standard deviation
  nvars: 1
  script: |
    rank = gphys[0].rank
    loop = Array.new
    (rank-1).times do |i| loop[i] = i+1 end
    result0 = GPhys.each_along_dims(gphys[0],loop) do |sub|
      [sub.stddev(0)]
    end
    [result0[0]]

